RFE : make sure a dhcp request exists when a host is (re)built
Status: Duplicate   

Priority: Normal   

Assignee:    

Category: DHCP   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi,

Currently (foreman 1.3), when a DHCP lease is not in the dhcpd.leases file, it is impossible to rebuild a host.

At reboot, the host will not pick up an IP, and boot will go on.

Even when clicking on build/cancel build/rebuild : the dhcpd lease will not be recreated.

This is a bit related to http://projects.theforeman.org/issues/2799 , but it's more like a host rebuild bug. Or missing feature.

Same applies to tftp if I understood correctly.

Regards

Related issues:

Related to Foreman - Feature #2799: Ability to repush DHCP settings Duplicate 07/17/2013

Is duplicate of Foreman - Feature #1536: Foreman should check DHCP entries on... Closed 03/16/2012

History

#1 - 11/14/2013 02:32 PM - Dominic Cleal

- Related to Feature #2799: Ability to repush DHCP settings added

#2 - 11/14/2013 02:34 PM - Dominic Cleal

- Is duplicate of Feature #1536: Foreman should check DHCP entries on build added

#3 - 11/14/2013 02:35 PM - Dominic Cleal

- Status changed from New to Duplicate
